Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx
Class MBeanServerRepositoryController

    java.lang.Object
      |
      +--org.huihoo.jfox.jmx.MBeanServerRepositoryController

public class MBeanServerRepositoryController
extends java.lang.Object

Author:
  Young Yang

Constructor Summary
`MBeanServerRepositoryController(MBeanServer server)`

Method Summary
`boolean` | `contains(ObjectName name)`
`java.lang.String` | `getDomain()`
`int` | `getRepoSize()`
`java.util.Iterator` | `iterator()`
`java.util.Set` | `queryMBeans(ObjectName pattern, QueryExp query)`
`void` | `remove(ObjectName name)`
`MBeanMetaData` | `retrieve(ObjectName name)`
`void` | `store(ObjectName name, MBeanMetaData metadata)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanServerRepositoryController

    public MBeanServerRepositoryController(MBeanServer server)

Method Detail

### getDomain

    public java.lang.String getDomain()

### retrieve

    public MBeanMetaData retrieve(ObjectName name)
                           throws InstanceNotFoundException

### store

    public void store(ObjectName name,
                      MBeanMetaData metadata)
               throws InstanceAlreadyExistsException

### remove

    public void remove(ObjectName name)
                throws InstanceNotFoundException

### getRepoSize

    public int getRepoSize()

### contains

    public boolean contains(ObjectName name)

### iterator

    public java.util.Iterator iterator()

### queryMBeans

    public java.util.Set queryMBeans(ObjectName pattern,
                                     QueryExp query)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD